#include "sound.h"
#include "AI8051U.h"
#include "AI8051U_ADC.h"

void sound_init()
{
	/* 选择ADC输入的IO必须配置为高阻输入模式	*/
    P1M0 &= ~0x02;
	P1M1 |= 0x02; 
	
	adc_init();
}


uint16_t get_sound_value()
{
	return ADC_convert(ADC_CH1);	/* 获得ADC采样结果 */
}
